Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
ReadySetGoParser Class Referencefinal

the main class to read a ReadySetGo 1.0,2.1,3.0,4.0,4.5 file More...

`#include <ReadySetGoParser.hxx>`

Inheritance diagram for ReadySetGoParser:

## Public Member Functions
| ReadySetGoParser (MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor More...
| ~ReadySetGoParser () final
| destructor More...
bool | checkHeader (MWAWHeader *header, bool strict=false) final
| checks if the document header is correct (or not) More...
void | parse (librevenge::RVNGDrawingInterface *documentInterface) final
| virtual function used to parse the input More...
Public Member Functions inherited from MWAWGraphicParser
| ~MWAWGraphicParser () override
| destructor More...
Public Member Functions inherited from MWAWParser
virtual | ~MWAWParser ()
| virtual destructor More...
int | version () const
| returns the works version More...
MWAWParserStatePtr | getParserState ()
| returns the parser state More...
MWAWHeader * | getHeader ()
| returns the header More...
MWAWInputStreamPtr & | getInput ()
| returns the actual input More...
MWAWListenerPtr | getMainListener ()
| returns the main listener More...
MWAWGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener More...
MWAWPresentationListenerPtr & | getPresentationListener ()
| returns the presentation listener More...
MWAWSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener More...
MWAWTextListenerPtr & | getTextListener ()
| returns the text listener More...
MWAWFontConverterPtr & | getFontConverter ()
| returns the font converter More...
MWAWFontManagerPtr & | getFontManager ()
| returns the font manager More...
MWAWPageSpan const & | getPageSpan () const
| returns the actual page dimension More...
MWAWPageSpan & | getPageSpan ()
| returns the actual page dimension More...
double | getFormLength () const
| returns the form length More...
double | getFormWidth () const
| returns the form width More...
double | getPageLength () const
| returns the page length (form length without margin ) More...
double | getPageWidth () const
| returns the page width (form width without margin ) More...
MWAWRSRCParserPtr & | getRSRCParser ()
| returns the rsrc parser More...
libmwaw::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document More...

## Protected Member Functions
void | createDocument (librevenge::RVNGDrawingInterface *documentInterface)
| creates the listener which will be associated to the document More...
bool | send (ReadySetGoParserInternal::Shape const &shape)
| try to send a shape More...
bool | sendText (ReadySetGoParserInternal::Shape const &shape)
| try to send the text corresponding to a shape More...
bool | updateTextBoxLinks ()
| try to update the textboxes link: v3 More...
bool | createZones ()
| finds the different objects zones More...
bool | readDocument ()
| try to read the document header: v3 More...
bool | readLayoutsList ()
| try to read the layout list: v3 More...
bool | readIdsList ()
| try to read an unknown list of IDs: v3 More...
bool | readStyles ()
| try to read the list of style block: v4 More...
bool | readGlossary ()
| try to read the glossary list: v4 More...
bool | readFontsBlock ()
| try to read the list of font block: unsure, name + data?, v5 More...
bool | readShapeV1 ()
| try to read a shape: v1 More...
bool | readShapeV2 (ReadySetGoParserInternal::Layout &layout)
| try to read a shape: v2 More...
bool | readShapeV3 (ReadySetGoParserInternal::Layout &layout, bool &last)
| try to read a shape: v3 More...
bool | readStyle (MWAWFont &font, MWAWParagraph &para, int *cPos=nullptr)
| try to read a style: v3 More...
bool | readTabulationsV1 (std::vector< MWAWTabStop > &tabulations, std::string &extra)
| try to read a list of tabulations: v1-2 More...
bool | readTabulations (std::vector< MWAWTabStop > &tabs, long len=-1, int *cPos=nullptr)
| try to read a list of tabulations: v3 More...
bool | readPrintInfo ()
| try to read the print info zone More...
Protected Member Functions inherited from MWAWGraphicParser
| MWAWGraphicParser (MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWGraphicParser (MWAWParserStatePtr const &state)
| constructor using a state More...
Protected Member Functions inherited from MWAWParser
| MWAWParser (MWAWParserState::Type type, MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWParser (MWAWParserStatePtr const &state)
| constructor using a state More...
void | setVersion (int vers)
| sets the document's version More...
void | setGraphicListener (MWAWGraphicListenerPtr &listener)
| sets the graphic listener More...
void | resetGraphicListener ()
| resets the listener More...
void | setPresentationListener (MWAWPresentationListenerPtr &listener)
| sets the presentation listener More...
void | resetPresentationListener ()
| resets the listener More...
void | setSpreadsheetListener (MWAWSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener More...
void | resetSpreadsheetListener ()
| resets the listener More...
void | setTextListener (MWAWTextListenerPtr &listener)
| sets the text listener More...
void | resetTextListener ()
| resets the listener More...
void | setAsciiName (char const *name)
| Debugging: change the default ascii file. More...
std::string const & | asciiName () const
| return the ascii file name More...

## Protected Attributes
std::shared_ptr< ReadySetGoParserInternal::State > | m_state
| the state More...

## Friends
class | ReadySetGoParserInternal::SubDocument

## Detailed Description

the main class to read a ReadySetGo 1.0,2.1,3.0,4.0,4.5 file

## Constructor & Destructor Documentation

## ◆ ReadySetGoParser()

ReadySetGoParser::ReadySetGoParser | ( | MWAWInputStreamPtr const & | input,
|  | MWAWRSRCParserPtr const & | rsrcParser,
|  | MWAWHeader * | header
| ) |  |

constructor

## ◆ ~ReadySetGoParser()

ReadySetGoParser::~ReadySetGoParser | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ checkHeader()

bool ReadySetGoParser::checkHeader | ( | MWAWHeader * | header,
|  | bool | strict = `false`
| ) |  |
| final virtual

checks if the document header is correct (or not)

Implements MWAWParser.

Referenced by parse().

## ◆ createDocument()

void ReadySetGoParser::createDocument | ( | librevenge::RVNGDrawingInterface * | documentInterface | ) |
| protected

creates the listener which will be associated to the document

Referenced by parse().

## ◆ createZones()

bool ReadySetGoParser::createZones | ( |  | ) |
| protected

finds the different objects zones

Referenced by parse().

## ◆ parse()

void ReadySetGoParser::parse | ( | librevenge::RVNGDrawingInterface * | documentInterface | ) |
| final virtual

virtual function used to parse the input

Implements MWAWGraphicParser.

## ◆ readDocument()

bool ReadySetGoParser::readDocument | ( |  | ) |
| protected

try to read the document header: v3

Referenced by createZones().

## ◆ readFontsBlock()

bool ReadySetGoParser::readFontsBlock | ( |  | ) |
| protected

try to read the list of font block: unsure, name + data?, v5

Referenced by createZones().

## ◆ readGlossary()

bool ReadySetGoParser::readGlossary | ( |  | ) |
| protected

try to read the glossary list: v4

Referenced by createZones().

## ◆ readIdsList()

bool ReadySetGoParser::readIdsList | ( |  | ) |
| protected

try to read an unknown list of IDs: v3

Referenced by createZones().

## ◆ readLayoutsList()

bool ReadySetGoParser::readLayoutsList | ( |  | ) |
| protected

try to read the layout list: v3

Referenced by createZones().

## ◆ readPrintInfo()

bool ReadySetGoParser::readPrintInfo | ( |  | ) |
| protected

try to read the print info zone

Referenced by createZones().

## ◆ readShapeV1()

bool ReadySetGoParser::readShapeV1 | ( |  | ) |
| protected

try to read a shape: v1

Referenced by createZones().

## ◆ readShapeV2()

bool ReadySetGoParser::readShapeV2 | ( | ReadySetGoParserInternal::Layout & | layout | ) |
| protected

try to read a shape: v2

Referenced by createZones().

## ◆ readShapeV3()

bool ReadySetGoParser::readShapeV3 | ( | ReadySetGoParserInternal::Layout & | layout,
|  | bool & | last
| ) |  |
| protected

try to read a shape: v3

Referenced by createZones().

## ◆ readStyle()

bool ReadySetGoParser::readStyle | ( | MWAWFont & | font,
|  | MWAWParagraph & | para,
|  | int * | cPos = `nullptr`
| ) |  |
| protected

try to read a style: v3

Referenced by readGlossary(), readStyles(), and sendText().

## ◆ readStyles()

bool ReadySetGoParser::readStyles | ( |  | ) |
| protected

try to read the list of style block: v4

Referenced by createZones().

## ◆ readTabulations()

bool ReadySetGoParser::readTabulations | ( | std::vector< MWAWTabStop > & | tabs,
|  | long | len = `-1`,
|  | int * | cPos = `nullptr`
| ) |  |
| protected

try to read a list of tabulations: v3

Referenced by readGlossary(), readStyles(), and sendText().

## ◆ readTabulationsV1()

bool ReadySetGoParser::readTabulationsV1 | ( | std::vector< MWAWTabStop > & | tabulations,
|  | std::string & | extra
| ) |  |
| protected

try to read a list of tabulations: v1-2

Referenced by readShapeV1(), and readShapeV2().

## ◆ send()

bool ReadySetGoParser::send | ( | ReadySetGoParserInternal::Shape const & | shape | ) |
| protected

try to send a shape

Referenced by createDocument(), and parse().

## ◆ sendText()

bool ReadySetGoParser::sendText | ( | ReadySetGoParserInternal::Shape const & | shape | ) |
| protected

try to send the text corresponding to a shape

## ◆ updateTextBoxLinks()

bool ReadySetGoParser::updateTextBoxLinks | ( |  | ) |
| protected

try to update the textboxes link: v3

Referenced by createZones().

## Friends And Related Function Documentation

## ◆ ReadySetGoParserInternal::SubDocument

friend class ReadySetGoParserInternal::SubDocument
| friend

## Member Data Documentation

## ◆ m_state

std::shared_ptr<ReadySetGoParserInternal::State> ReadySetGoParser::m_state
| protected

the state

Referenced by checkHeader(), createDocument(), createZones(), parse(), readDocument(), readGlossary(), readLayoutsList(), readShapeV1(), readShapeV3(), readStyle(), readStyles(), and updateTextBoxLinks().

The documentation for this class was generated from the following files:

- ReadySetGoParser.hxx
- ReadySetGoParser.cxx